# Get Group License Allocation with Quota

> API endpoint reference for retrieving the license allocation and quota configuration for a group in Test Cloud.

Retrieves the current license allocation and quota configuration for a group. Requires an external application with the scope `PM.License.Read`.

## API Endpoint

`GET {accessURL}/{organizationName}/lease_/api/account/{accountId}/user-license/group/{groupId}/with-quota`

Replace `{accessURL}` in all endpoint paths with the base URL for your cloud platform:

| Cloud platform | Access URL |
| --- | --- |
| Test Cloud | `https://cloud.uipath.com/` |
| Test Cloud Public Sector | `https://govcloud.uipath.us/` |
| Test Cloud Dedicated | `https://{customURL}.dedicated.uipath.com/` |

## Request Headers

```
--header 'Authorization: Bearer {access_token}'
```

## Path Parameters

| Path param | Data type | Description |
| --- | --- | --- |
| `accountId`  (required) | Guid | The ID of the organization in which your tenant resides. |
| `groupId`  (required) | String | The ID of the group you want to allocate licenses to.  You can retrieve this ID by following [these steps](https://docs.uipath.com/test-cloud/automation-cloud/latest/api-guide/get-all-groups#get-all-groups). |

## Responses

### 200 OK

Returns the allocated group licenses with configured quotas and current usage.

### 404

Organization or group does not exist.

## Example Request

The request should resemble the following example (cURL):

```
curl --location --request GET 'https://https://cloud.uipath.com/{organizationName}/lease_/api/account/1234/user-license/group/group-01/with-quota' \
--header 'Authorization: Bearer {access_token}'
```

Here's the response body for a successful license allocation:

```
{
  "groupRule": {
    "groupId": "group-01",
    "organizationId": "1234",
    "userBundleCodes": ["RPADEVPRONU", "IDU"]
  },
  "quotas": [
    {
      "userBundleCode": "RPADEVPRONU",
      "limit": 10,
      "currentUsage": 3
    }
  ]
}
```
